<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: pictureflow_admin.php
| Version: 1.00
| Author: Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."pictureflow_gallery/infusion_db.php";

if (!checkrights("PX") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."pictureflow_gallery/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."pictureflow_gallery/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."pictureflow_gallery/locale/English.php";
}

function color_mapper($field, $value) {
   $cvalue[] = "00";
   $cvalue[] = "33";
   $cvalue[] = "66";
   $cvalue[] = "99";
   $cvalue[] = "CC";
   $cvalue[] = "FF";
   $select = "";
   $select = "<select name='".$field."' class='textbox' onchange=\"document.getElementById('preview_".$field."').style.background = '#' + this.options[this.selectedIndex].value;\">\n";
   for ($ca=0; $ca<count($cvalue); $ca++) {
      for ($cb=0; $cb<count($cvalue); $cb++) {
         for ($cc=0; $cc<count($cvalue); $cc++) {
            $hcolor = $cvalue[$ca].$cvalue[$cb].$cvalue[$cc];
            $select .= "<option value='".$hcolor."'".($value==$hcolor?" selected ":" ")."style='background-color:#".$hcolor.";'>#".$hcolor."</option>\n";
         }
      }
   }
   $select .= "</select>\n";
   return $select;
}

if (!isset($_GET['album_id']) || !isNum($_GET['album_id'])) $_GET['album_id'] = 0;

if (isset($_POST['delete_settings'])) {
	if ($_GET['album_id']>0) {
	   $result = dbquery("DELETE FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=".$_GET['album_id']);
	   if ($result) {
	      redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=del_ok");
	   } else {
	      redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=del_err");
	   }
	} else {
      redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=del_def");
	}
}

$result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=".$_GET['album_id']);
$pfs = dbarray($result);
$pfs_rows = dbrows($result);
if (!$pfs_rows) {
	if (isset($_POST['save_settings'])) {
		$result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=0");
		$pfs = dbarray($result);
		$pictureflow_lightbox = $_POST['pictureflow_lightbox'] ? 1 : 0;
		$pictureflow_mybckgrnd = stripinput($_POST['pictureflow_mybckgrnd']);
		$pictureflow_mybckgrndimage = stripinput($_POST['pictureflow_mybckgrndimage']);
		$pictureflow_mycolor = stripinput($_POST['pictureflow_mycolor']);
		$pictureflow_mytextcolor = stripinput($_POST['pictureflow_mytextcolor']);
		$pictureflow_mysubtextcolor = stripinput($_POST['pictureflow_mysubtextcolor']);
		$pictureflow_myarrowcolor = stripinput($_POST['pictureflow_myarrowcolor']);
		$pictureflow_myloadbarcolor = stripinput($_POST['pictureflow_myloadbarcolor']);
		$pictureflow_myalpha = stripinput($_POST['pictureflow_myalpha']);
		$pictureflow_mystep = isNum($_POST['pictureflow_mystep']) ? $_POST['pictureflow_mystep'] : $pfs['pictureflow_mystep'];
		$pictureflow_myoffset = isNum($_POST['pictureflow_myoffset']) ? $_POST['pictureflow_myoffset'] : $pfs['pictureflow_myoffset'];
		$pictureflow_superglass = $_POST['pictureflow_superglass'] ? 1 : 0;
		$pictureflow_border = stripinput($_POST['pictureflow_border']);
		$pictureflow_tooltip = $_POST['pictureflow_tooltip'] ? 1 : 0;
		$pictureflow_desctext = $_POST['pictureflow_desctext'] ? 1 : 0;
		$pictureflow_scrollbar = stripinput($_POST['pictureflow_scrollbar']);
		$pictureflow_scaledown = isNum($_POST['pictureflow_scaledown']) ? $_POST['pictureflow_scaledown'] : $pfs['pictureflow_scaledown'];
		$pictureflow_scaleup = isNum($_POST['pictureflow_scaleup']) ? $_POST['pictureflow_scaleup'] : $pfs['pictureflow_scaleup'];
		$pictureflow_maskscene = $_POST['pictureflow_maskscene'] ? 1 : 0;
		$pictureflow_shownpicture = isNum($_POST['pictureflow_shownpicture']) ? $_POST['pictureflow_shownpicture'] : 1;
		$pictureflow_u_flow = $_POST['pictureflow_u_flow'] ? 1 : 0;
		$pictureflow_scrollbar_y = isNum($_POST['pictureflow_scrollbar_y']) ? $_POST['pictureflow_scrollbar_y'] : $pfs['pictureflow_scrollbar_y'];
		$pictureflow_rolloveranim = $_POST['pictureflow_rolloveranim'] ? 1 : 0;
		$pictureflow_easetime = stripinput($_POST['pictureflow_easetime']);
		$pictureflow_clips2move = isNum($_POST['pictureflow_clips2move']) ? $_POST['pictureflow_clips2move'] : $pfs['pictureflow_clips2move'];
		$pictureflow_crossdomain = stripinput($_POST['pictureflow_crossdomain']);
		$pictureflow_swf = stripinput($_POST['pictureflow_swf']);
		$pictureflow_swf_width = isNum($_POST['pictureflow_swf_width']) ? $_POST['pictureflow_swf_width'] : $pfs['pictureflow_swf_width'];
		$pictureflow_swf_height = isNum($_POST['pictureflow_swf_height']) ? $_POST['pictureflow_swf_height'] : $pfs['pictureflow_swf_height'];
		$pictureflow_swf_bckgrndcolor = stripinput($_POST['pictureflow_swf_bckgrndcolor']);
		$pictureflow_swf_windowmode = stripinput($_POST['pictureflow_swf_windowmode']);
		$pictureflow_selection_method = stripinput($_POST['pictureflow_selection_method']);
		$pictureflow_selection_no = isNum($_POST['pictureflow_selection_no']) ? $_POST['pictureflow_selection_no'] : $pfs['pictureflow_selection_no'];
		
		foreach ($_POST['sel_photo'] as $key => $value) {
			$pictureflow_selection_pictures .= $value.".";
		}
		$pictureflow_selection_pictures = substr($pictureflow_selection_pictures,0,strlen($pictureflow_selection_pictures)-1);

		$result = dbquery("INSERT INTO ".DB_PICTUREFLOW_TABLE." (pictureflow_album_id, pictureflow_lightbox, pictureflow_mybckgrnd, pictureflow_mybckgrndimage, pictureflow_mycolor, pictureflow_mytextcolor, pictureflow_mysubtextcolor, pictureflow_myarrowcolor, pictureflow_myloadbarcolor, pictureflow_myalpha, pictureflow_mystep, pictureflow_myoffset, pictureflow_superglass, pictureflow_border, pictureflow_tooltip, pictureflow_desctext, pictureflow_scrollbar, pictureflow_scaledown, pictureflow_scaleup, pictureflow_maskscene, pictureflow_shownpicture, pictureflow_u_flow, pictureflow_scrollbar_y, pictureflow_rolloveranim, pictureflow_easetime, pictureflow_clips2move, pictureflow_crossdomain, pictureflow_swf, pictureflow_swf_width, pictureflow_swf_height, pictureflow_swf_bckgrndcolor, pictureflow_swf_windowmode, pictureflow_selection_method, pictureflow_selection_no, pictureflow_selection_pictures) VALUES ('".$_GET['album_id']."', '$pictureflow_lightbox', '$pictureflow_mybckgrnd', '$pictureflow_mybckgrndimage', '$pictureflow_mycolor', '$pictureflow_mytextcolor', '$pictureflow_mysubtextcolor', '$pictureflow_myarrowcolor', '$pictureflow_myloadbarcolor', '$pictureflow_myalpha', '$pictureflow_mystep', '$pictureflow_myoffset', '$pictureflow_superglass', '$pictureflow_border', '$pictureflow_tooltip', '$pictureflow_desctext', '$pictureflow_scrollbar', '$pictureflow_scaledown', '$pictureflow_scaleup', '$pictureflow_maskscene', '$pictureflow_shownpicture', '$pictureflow_u_flow', '$pictureflow_scrollbar_y', '$pictureflow_rolloveranim', '$pictureflow_easetime', '$pictureflow_clips2move', '$pictureflow_crossdomain', '$pictureflow_swf', '$pictureflow_swf_width', '$pictureflow_swf_height', '$pictureflow_swf_bckgrndcolor', '$pictureflow_swf_windowmode', '$pictureflow_selection_method', '$pictureflow_selection_no', '$pictureflow_selection_pictures')");
		if ($result) {
			redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=save_ok");
		} else {
			redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=save_err");
		}
	}
	
	$result = dbquery("SELECT * FROM ".DB_PICTUREFLOW_TABLE." WHERE pictureflow_album_id=0");
	$pfs = dbarray($result);
} else {
	if (isset($_POST['save_settings'])) {
		$pictureflow_lightbox = $_POST['pictureflow_lightbox'] ? 1 : 0;
		$pictureflow_mybckgrnd = stripinput($_POST['pictureflow_mybckgrnd']);
		$pictureflow_mybckgrndimage = stripinput($_POST['pictureflow_mybckgrndimage']);
		$pictureflow_mycolor = stripinput($_POST['pictureflow_mycolor']);
		$pictureflow_mytextcolor = stripinput($_POST['pictureflow_mytextcolor']);
		$pictureflow_mysubtextcolor = stripinput($_POST['pictureflow_mysubtextcolor']);
		$pictureflow_myarrowcolor = stripinput($_POST['pictureflow_myarrowcolor']);
		$pictureflow_myloadbarcolor = stripinput($_POST['pictureflow_myloadbarcolor']);
		$pictureflow_myalpha = stripinput($_POST['pictureflow_myalpha']);
		$pictureflow_mystep = isNum($_POST['pictureflow_mystep']) ? $_POST['pictureflow_mystep'] : $pfs['pictureflow_mystep'];
		$pictureflow_myoffset = isNum($_POST['pictureflow_myoffset']) ? $_POST['pictureflow_myoffset'] : $pfs['pictureflow_myoffset'];
		$pictureflow_superglass = $_POST['pictureflow_superglass'] ? 1 : 0;
		$pictureflow_border = stripinput($_POST['pictureflow_border']);
		$pictureflow_tooltip = $_POST['pictureflow_tooltip'] ? 1 : 0;
		$pictureflow_desctext = $_POST['pictureflow_desctext'] ? 1 : 0;
		$pictureflow_scrollbar = stripinput($_POST['pictureflow_scrollbar']);
		$pictureflow_scaledown = isNum($_POST['pictureflow_scaledown']) ? $_POST['pictureflow_scaledown'] : $pfs['pictureflow_scaledown'];
		$pictureflow_scaleup = isNum($_POST['pictureflow_scaleup']) ? $_POST['pictureflow_scaleup'] : $pfs['pictureflow_scaleup'];
		$pictureflow_maskscene = $_POST['pictureflow_maskscene'] ? 1 : 0;
		$pictureflow_shownpicture = isNum($_POST['pictureflow_shownpicture']) ? $_POST['pictureflow_shownpicture'] : 1;
		$pictureflow_u_flow = $_POST['pictureflow_u_flow'] ? 1 : 0;
		$pictureflow_scrollbar_y = isNum($_POST['pictureflow_scrollbar_y']) ? $_POST['pictureflow_scrollbar_y'] : $pfs['pictureflow_scrollbar_y'];
		$pictureflow_rolloveranim = $_POST['pictureflow_rolloveranim'] ? 1 : 0;
		$pictureflow_easetime = stripinput($_POST['pictureflow_easetime']);
		$pictureflow_clips2move = isNum($_POST['pictureflow_clips2move']) ? $_POST['pictureflow_clips2move'] : $pfs['pictureflow_clips2move'];
		$pictureflow_crossdomain = stripinput($_POST['pictureflow_crossdomain']);
		$pictureflow_swf = stripinput($_POST['pictureflow_swf']);
		$pictureflow_swf_width = isNum($_POST['pictureflow_swf_width']) ? $_POST['pictureflow_swf_width'] : $pfs['pictureflow_swf_width'];
		$pictureflow_swf_height = isNum($_POST['pictureflow_swf_height']) ? $_POST['pictureflow_swf_height'] : $pfs['pictureflow_swf_height'];
		$pictureflow_swf_bckgrndcolor = stripinput($_POST['pictureflow_swf_bckgrndcolor']);
		$pictureflow_swf_windowmode = stripinput($_POST['pictureflow_swf_windowmode']);
		$pictureflow_selection_method = stripinput($_POST['pictureflow_selection_method']);
		$pictureflow_selection_no = isNum($_POST['pictureflow_selection_no']) ? $_POST['pictureflow_selection_no'] : $pfs['pictureflow_selection_no'];
		
		foreach ($_POST['sel_photo'] as $key => $value) {
			$pictureflow_selection_pictures .= $value.".";
		}
		$pictureflow_selection_pictures = substr($pictureflow_selection_pictures,0,strlen($pictureflow_selection_pictures)-1);
		
		$result = dbquery("UPDATE ".DB_PICTUREFLOW_TABLE." SET pictureflow_lightbox='$pictureflow_lightbox', pictureflow_mybckgrnd='$pictureflow_mybckgrnd', pictureflow_mybckgrndimage='$pictureflow_mybckgrndimage', pictureflow_mycolor='$pictureflow_mycolor', pictureflow_mytextcolor='$pictureflow_mytextcolor', pictureflow_mysubtextcolor='$pictureflow_mysubtextcolor', pictureflow_myarrowcolor='$pictureflow_myarrowcolor', pictureflow_myloadbarcolor='$pictureflow_myloadbarcolor', pictureflow_myalpha='$pictureflow_myalpha', pictureflow_mystep='$pictureflow_mystep', pictureflow_myoffset='$pictureflow_myoffset', pictureflow_superglass='$pictureflow_superglass', pictureflow_border='$pictureflow_border', pictureflow_tooltip='$pictureflow_tooltip', pictureflow_desctext='$pictureflow_desctext', pictureflow_scrollbar='$pictureflow_scrollbar', pictureflow_scaledown='$pictureflow_scaledown', pictureflow_scaleup='$pictureflow_scaleup', pictureflow_maskscene='$pictureflow_maskscene', pictureflow_shownpicture='$pictureflow_shownpicture', pictureflow_u_flow='$pictureflow_u_flow', pictureflow_scrollbar_y='$pictureflow_scrollbar_y', pictureflow_rolloveranim='$pictureflow_rolloveranim', pictureflow_easetime='$pictureflow_easetime', pictureflow_clips2move='$pictureflow_clips2move', pictureflow_crossdomain='$pictureflow_crossdomain', pictureflow_swf='$pictureflow_swf', pictureflow_swf_width='$pictureflow_swf_width', pictureflow_swf_height='$pictureflow_swf_height', pictureflow_swf_bckgrndcolor='$pictureflow_swf_bckgrndcolor', pictureflow_swf_windowmode='$pictureflow_swf_windowmode', pictureflow_selection_method='$pictureflow_selection_method', pictureflow_selection_no='$pictureflow_selection_no', pictureflow_selection_pictures='$pictureflow_selection_pictures' WHERE pictureflow_album_id=".$_GET['album_id']);
		if ($result) {
			redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=updt_ok");
		} else {
			redirect(FUSION_SELF.$aidlink."&album_id=".$_GET['album_id']."&save=updt_err");
		}
	}
}

if (isset($_POST['preview_settings'])) {
	//<!-- CSS -->
	add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."pictureflow_gallery/pictureFlow29/css/shadowbox.css' />");

	//<!-- SWFOBJECT -->
	add_to_head("<script type='text/javascript' src='".INFUSIONS."pictureflow_gallery/pictureFlow29/javascript/plug_flash.js'></script>");

	//<!-- Shadowbox with mooTools -->
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/mootools/mootools-release-1.11.js'></script>");
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/mootools/shadowbox-mootools.js'></script>");
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/mootools/flashShadowboxInjector-mootools.js'></script>");
	add_to_head("<script type='text/javascript' src='pictureFlow29/javascript/shadowbox.js'></script>");
	add_to_head("<script type='text/javascript'>window.addEvent('domready', function(){Shadowbox.init();});</script>");

	opentable($locale['pfg_preview_title']);   
		if ($_GET['album_id']==0) {
			$result = dbquery("SELECT * FROM ".DB_PHOTOS);
      	$data = dbarray($result);
      	$album_id = $data['album_id'];
		} else {
			$result = dbquery("SELECT * FROM ".DB_PHOTOS." WHERE album_id=".$_GET['album_id']);
      	$album_id = $_GET['album_id'];
		}
      if (dbrows($result)) {
	      echo "<div id='pflow'>\n";
	      echo "<script type='text/javascript'>\n";
	      echo "var flashVars='';\n";
	      echo "flashVars+='xmlfeed=pictures.php?album_id=".$album_id."';\n";
	      echo "flashVars+='&lightBox=".(isset($_POST['pictureflow_lightbox']) ? "true" : "false")."';\n";
	      echo "flashVars+='&myBckgrnd=0x".$_POST['pictureflow_mybckgrnd']."';\n";
	      echo "flashVars+='&superGlass=".(isset($_POST['pictureflow_superglass']) ? "true" : "false")."';\n";
	      echo "flashVars+='&myBckGrndImage=".$_POST['pictureflow_mybckgrndimage']."';\n";
	      echo "flashVars+='&myColor=0x".$_POST['pictureflow_mycolor']."';\n";
	      echo "flashVars+='&myTextColor=0x".$_POST['pictureflow_mytextcolor']."';\n";
	      echo "flashVars+='&mySubTextColor=0x".$_POST['pictureflow_mysubtextcolor']."';\n";
	      echo "flashVars+='&myArrowColor=0x".$_POST['pictureflow_myarrowcolor']."';\n";
	      echo "flashVars+='&myScrollColor=0x".$_POST['pictureflow_myscrollcolor']."';\n";
	      echo "flashVars+='&myLoadBarColor=0x".$_POST['pictureflow_myloadbarcolor']."';\n";
	      echo "flashVars+='&myAlpha=".$_POST['pictureflow_myalpha']."';\n";
	      echo "flashVars+='&Border=".$_POST['pictureflow_border']."';\n";
	      echo "flashVars+='&Tooltip=".(isset($_POST['pictureflow_tooltip']) ? "true" : "false")."';\n";
	      echo "flashVars+='&descText=".(isset($_POST['pictureflow_desctext']) ? "true" : "false")."';\n";
	      echo "flashVars+='&Scrollbar=".$_POST['pictureflow_scrollbar']."';\n";
	      echo "flashVars+='&myStep=".$_POST['pictureflow_mystep']."';\n";
	      echo "flashVars+='&myOffset=".$_POST['pictureflow_myoffset']."';\n";
	      echo "flashVars+='&scaleDown=".$_POST['pictureflow_scaledown']."';\n";
	      echo "flashVars+='&scaleUp=".$_POST['pictureflow_scaleup']."';\n";
	      echo "flashVars+='&MaskScene=".(isset($_POST['pictureflow_maskscene']) ? "true" : "false")."';\n";
	      echo "flashVars+='&shownPicture=".$_POST['pictureflow_shownpicture']."';\n";
	      echo "flashVars+='&U_Flow=".(isset($_POST['pictureflow_u_flow']) ? "true" : "false")."';\n";
	      echo "flashVars+='&scrollbar_Y=".$_POST['pictureflow_scrollbar_y']."';\n";
	      echo "flashVars+='&rollOverAnim=".(isset($_POST['pictureflow_rolloveranim']) ? "true" : "false")."';\n";
	      echo "flashVars+='&easeTime=".$_POST['pictureflow_easetime']."';\n";
	      echo "flashVars+='&clips2move=".$_POST['pictureflow_clips2move']."';\n";
	      echo "flashVars+='&crossdomain=".$_POST['pictureflow_crossdomain']."';\n";
	      echo "RunFlash('pictureFlow29/".$_POST['pictureflow_swf']."', '".$_POST['pictureflow_swf_width']."%', '".$_POST['pictureflow_swf_height']."', '#".$_POST['pictureflow_swf_bckgrndcolor']."', '".$_POST['pictureflow_swf_windowmode']."', 'PictureFlow', flashVars);\n";
	      echo "</script>\n";
	      echo "</div>\n";
	   } else {
	   	echo $locale['pfg_preview_failed'];
	   }
	closetable();
}

opentable($locale['pfg_settings_title']);
echo "<fieldset>\n";
echo "<legend><strong>".$locale['pfg_select_settings'].":</strong></legend>\n";
echo "<select class='textbox' name='pictureflow_album_id' onchange=\"document.location = '".FUSION_SELF.$aidlink."&amp;album_id=' + this.options[this.selectedIndex].value;\">\n";
echo "<option value='0'".($_GET['album_id']==0 ? " selected='selected'" : "").">".$locale['pfg_global_settings']."</option>\n";
if ($_GET['album_id']==0) define("ALBUM_NAME", $locale['pfg_global_settings']);
$result = dbquery("SELECT * FROM ".DB_PHOTO_ALBUMS." ORDER BY album_title");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		echo "<option value='".$data['album_id']."'".($_GET['album_id']==$data['album_id'] ? " selected='selected'" : "").">".$data['album_title']."</option>\n";
		if ($_GET['album_id']==$data['album_id']) define("ALBUM_NAME", $data['album_title']);
	}
}
echo "</select>\n";

if (isset($_GET['save'])) {
	if ($_GET['save']=="save_ok") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_save_ok'].".</div>\n";
	} else if ($_GET['save']=="save_err") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_save_err'].".</div>\n";
	} else if ($_GET['save']=="updt_ok") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_updt_ok'].".</div>\n";
	} else if ($_GET['save']=="updt_err") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_updt_err'].".</div>\n";
	} else if ($_GET['save']=="del_ok") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_del_ok'].".</div>\n";
	} else if ($_GET['save']=="del_err") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_del_err'].".</div>\n";
	} else if ($_GET['save']=="del_def") {
		echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_del_def'].".</div>\n";
	}
} else {
	if (!function_exists("iconv") && strtolower($locale['charset'])!="utf-8") echo "<br  /><br  />\n<div class='admin-message'>".$locale['pfg_utf8_explanation']."</div>\n";
}
if (!$pfs_rows) echo (!isset($_GET['save']) ? "<br  /><br  />\n" : "")."<div class='admin-message'>".$locale['pfg_settings_not_saved']."</div>\n";

echo "</fieldset>\n";

echo "<form name='pictureflow_form' method='post' action='".FUSION_SELF.$aidlink."&amp;album_id=".$_GET['album_id']."'>\n";

if (isset($_POST['preview_settings'])) {
	$pictureflow_lightbox = isset($_POST['pictureflow_lightbox']) ? $_POST['pictureflow_lightbox'] : 0;
	$pictureflow_mybckgrnd = isset($_POST['pictureflow_mybckgrnd']) ? $_POST['pictureflow_mybckgrnd'] : "";
	$pictureflow_mybckgrndimage = isset($_POST['pictureflow_mybckgrndimage']) ? $_POST['pictureflow_mybckgrndimage'] : "";
	$pictureflow_mycolor = isset($_POST['pictureflow_mycolor']) ? $_POST['pictureflow_mycolor'] : "";
	$pictureflow_mytextcolor = isset($_POST['pictureflow_mytextcolor']) ? $_POST['pictureflow_mytextcolor'] : "";
	$pictureflow_mysubtextcolor = isset($_POST['pictureflow_mysubtextcolor']) ? $_POST['pictureflow_mysubtextcolor'] : "";
	$pictureflow_myarrowcolor = isset($_POST['pictureflow_myarrowcolor']) ? $_POST['pictureflow_myarrowcolor'] : "";
	$pictureflow_myloadbarcolor = isset($_POST['pictureflow_myloadbarcolor']) ? $_POST['pictureflow_myloadbarcolor'] : "";
	$pictureflow_myscrollcolor = isset($_POST['pictureflow_myscrollcolor']) ? $_POST['pictureflow_myscrollcolor'] : "";
	$pictureflow_myalpha = isset($_POST['pictureflow_myalpha']) ? $_POST['pictureflow_myalpha'] : 0;
	$pictureflow_mystep = isset($_POST['pictureflow_mystep']) ? $_POST['pictureflow_mystep'] : 0;
	$pictureflow_myoffset = isset($_POST['pictureflow_myoffset']) ? $_POST['pictureflow_myoffset'] : 0;
	$pictureflow_superglass = isset($_POST['pictureflow_superglass']) ? $_POST['pictureflow_superglass'] : 0;
	$pictureflow_border = isset($_POST['pictureflow_border']) ? $_POST['pictureflow_border'] : "";
	$pictureflow_tooltip = isset($_POST['pictureflow_tooltip']) ? $_POST['pictureflow_tooltip'] : 0;
	$pictureflow_desctext = isset($_POST['pictureflow_desctext']) ? $_POST['pictureflow_desctext'] : 0;
	$pictureflow_scrollbar = isset($_POST['pictureflow_scrollbar']) ? $_POST['pictureflow_scrollbar'] : "";
	$pictureflow_scaledown = isset($_POST['pictureflow_scaledown']) ? $_POST['pictureflow_scaledown'] : 0;
	$pictureflow_scaleup = isset($_POST['pictureflow_scaleup']) ? $_POST['pictureflow_scaleup'] : 0;
	$pictureflow_maskscene = isset($_POST['pictureflow_maskscene']) ? $_POST['pictureflow_maskscene'] : 0;
	$pictureflow_shownpicture = isset($_POST['pictureflow_shownpicture']) ? $_POST['pictureflow_shownpicture'] : 1;
	$pictureflow_u_flow = isset($_POST['pictureflow_u_flow']) ? $_POST['pictureflow_u_flow'] : 0;
	$pictureflow_scrollbar_y = isset($_POST['pictureflow_scrollbar_y']) ? $_POST['pictureflow_scrollbar_y'] : 0;
	$pictureflow_rolloveranim = isset($_POST['pictureflow_rolloveranim']) ? $_POST['pictureflow_rolloveranim'] : 0;
	$pictureflow_easetime = isset($_POST['pictureflow_easetime']) ? $_POST['pictureflow_easetime'] : 0;
	$pictureflow_clips2move = isset($_POST['pictureflow_clips2move']) ? $_POST['pictureflow_clips2move'] : 0;
	$pictureflow_crossdomain = isset($_POST['pictureflow_crossdomain']) ? $_POST['pictureflow_crossdomain'] : "";
	$pictureflow_swf = isset($_POST['pictureflow_swf']) ? $_POST['pictureflow_swf'] : "";
	$pictureflow_swf_width = isset($_POST['pictureflow_swf_width']) ? $_POST['pictureflow_swf_width'] : 0;
	$pictureflow_swf_height = isset($_POST['pictureflow_swf_height']) ? $_POST['pictureflow_swf_height'] : 0;
	$pictureflow_swf_bckgrndcolor = isset($_POST['pictureflow_swf_bckgrndcolor']) ? $_POST['pictureflow_swf_bckgrndcolor'] : "";
	$pictureflow_swf_windowmode = isset($_POST['pictureflow_swf_windowmode']) ? $_POST['pictureflow_swf_windowmode'] : "";
	$pictureflow_selection_method = isset($_POST['pictureflow_selection_method']) ? $_POST['pictureflow_selection_method'] : "";
	$pictureflow_selection_no = isset($_POST['pictureflow_selection_no']) ? $_POST['pictureflow_selection_no'] : 0;
	if (isset($_POST['sel_photo'])) {
	   foreach ($_POST['sel_photo'] as $key => $value) {
	      $pictureflow_selection_pictures .= $value.".";
	   }
	   $pictureflow_selection_pictures = substr($pictureflow_selection_pictures, 0, strlen($pictureflow_selection_pictures)-1);
	} else {
		   $pictureflow_selection_pictures = "";
	}
} else {
	$pictureflow_lightbox = $pfs['pictureflow_lightbox'];
	$pictureflow_mybckgrnd = $pfs['pictureflow_mybckgrnd'];
	$pictureflow_mybckgrndimage = $pfs['pictureflow_mybckgrndimage'];
	$pictureflow_mycolor = $pfs['pictureflow_mycolor'];
	$pictureflow_mytextcolor = $pfs['pictureflow_mytextcolor'];
	$pictureflow_mysubtextcolor = $pfs['pictureflow_mysubtextcolor'];
	$pictureflow_myarrowcolor = $pfs['pictureflow_myarrowcolor'];
	$pictureflow_myloadbarcolor = $pfs['pictureflow_myloadbarcolor'];
	$pictureflow_myscrollcolor = $pfs['pictureflow_myscrollcolor'];
	$pictureflow_myalpha = $pfs['pictureflow_myalpha'];
	$pictureflow_mystep = $pfs['pictureflow_mystep'];
	$pictureflow_myoffset = $pfs['pictureflow_myoffset'];
	$pictureflow_superglass = $pfs['pictureflow_superglass'];
	$pictureflow_border = $pfs['pictureflow_border'];
	$pictureflow_tooltip = $pfs['pictureflow_tooltip'];
	$pictureflow_desctext = $pfs['pictureflow_desctext'];
	$pictureflow_scrollbar = $pfs['pictureflow_scrollbar'];
	$pictureflow_scaledown = $pfs['pictureflow_scaledown'];
	$pictureflow_scaleup = $pfs['pictureflow_scaleup'];
	$pictureflow_maskscene = $pfs['pictureflow_maskscene'];
	$pictureflow_shownpicture = $pfs['pictureflow_shownpicture'];
	$pictureflow_u_flow = $pfs['pictureflow_u_flow'];
	$pictureflow_scrollbar_y = $pfs['pictureflow_scrollbar_y'];
	$pictureflow_rolloveranim = $pfs['pictureflow_rolloveranim'];
	$pictureflow_easetime = $pfs['pictureflow_easetime'];
	$pictureflow_clips2move = $pfs['pictureflow_clips2move'];
	$pictureflow_crossdomain = $pfs['pictureflow_crossdomain'];
	$pictureflow_swf = $pfs['pictureflow_swf'];
	$pictureflow_swf_width = $pfs['pictureflow_swf_width'];
	$pictureflow_swf_height = $pfs['pictureflow_swf_height'];
	$pictureflow_swf_bckgrndcolor = $pfs['pictureflow_swf_bckgrndcolor'];
	$pictureflow_swf_windowmode = $pfs['pictureflow_swf_windowmode'];
	$pictureflow_selection_method = $pfs['pictureflow_selection_method'];
	$pictureflow_selection_no = $pfs['pictureflow_selection_no'];
  $pictureflow_selection_pictures = $pfs['pictureflow_selection_pictures'];
}

echo "<fieldset>\n";
echo "<legend><strong>".($_GET['album_id']>0 ? $locale['pfg_settings_album']." ".ALBUM_NAME : "PictureFlow ".$locale['pfg_global_settings']).":</strong></legend>\n";
echo "<div style='overflow:auto;height:150px'>\n";
echo "<table width='100%' align='center'>\n";
echo "<tr>\n";
echo "<td style='width:50%'>".$locale['pfg_use_lightbox']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_lightbox' value='1'".($pictureflow_lightbox ? " checked='checked'" : "")."/></td>\n";
echo "<td style='width:50%'><div style='float:left'>".$locale['pfg_image_reflection_background']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_mybckgrnd."' id='preview_pictureflow_mybckgrnd'></div></td>\n";
echo "<td>".color_mapper("pictureflow_mybckgrnd", $pictureflow_mybckgrnd)."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td><div style='float:left'>".$locale['pfg_image_border_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_mycolor."' id='preview_pictureflow_mycolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_mycolor", $pictureflow_mycolor)."</td>\n";
echo "<td><div style='float:left'>".$locale['pfg_tooltip_text_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_mytextcolor."' id='preview_pictureflow_mytextcolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_mytextcolor", $pictureflow_mytextcolor)."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td><div style='float:left'>".$locale['pfg_desc_text_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_mysubtextcolor."' id='preview_pictureflow_mysubtextcolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_mysubtextcolor", $pictureflow_mysubtextcolor)."</td>\n";
echo "<td><div style='float:left'>".$locale['pfg_load_bar_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_myloadbarcolor."' id='preview_pictureflow_myloadbarcolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_myloadbarcolor", $pictureflow_myloadbarcolor)."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td><div style='float:left'>".$locale['pfg_scrollbar_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_myscrollcolor."' id='preview_pictureflow_myscrollcolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_myscrollcolor", $pictureflow_myscrollcolor)."</td>\n";
echo "<td><div style='float:left'>".$locale['pfg_arrow_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_myarrowcolor."' id='preview_pictureflow_myarrowcolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_myarrowcolor", $pictureflow_myarrowcolor)."</td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_bckgrnd_img']."</td>\n";
echo "<td><input class='textbox' type='text' name='pictureflow_mybckgrndimage' value='".$pictureflow_mybckgrndimage."' /></td>\n";
echo "<td>".$locale['pfg_img_border_trsp_ratio']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_myalpha_minus' id='pictureflow_myalpha_minus' onclick=\"PlusMinus('pictureflow_myalpha', true, true, 0, 1);\" /><input class='textbox' type='text' name='pictureflow_myalpha' id='pictureflow_myalpha' value='".$pictureflow_myalpha."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_myalpha_plus' id='pictureflow_myalpha_plus' onclick=\"PlusMinus('pictureflow_myalpha', false, true, 0, 1);\" /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_imgs_pitch']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_mystep_minus' id='pictureflow_mystep_minus' onclick=\"PlusMinus('pictureflow_mystep', true, false, 0, 1000);\" /><input class='textbox' type='text' name='pictureflow_mystep' id='pictureflow_mystep' value='".$pictureflow_mystep."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_mystep_plus' id='pictureflow_mystep_plus'  onclick=\"PlusMinus('pictureflow_mystep', false, false, 0, 1000);\" /></td>\n";
echo "<td>".$locale['pfg_fimg_pitch']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_myoffset_minus' id='pictureflow_myoffset_minus'  onclick=\"PlusMinus('pictureflow_myoffset', true, false, 0, 1000);\"/><input class='textbox' type='text' name='pictureflow_myoffset' id='pictureflow_myoffset' value='".$pictureflow_myoffset."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_myoffset_plus' id='pictureflow_myoffset_plus' onclick=\"PlusMinus('pictureflow_myoffset', false, false, 0, 1000);\"/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_inactive_imgs_scale']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_scaledown_minus' id='pictureflow_scaledown_minus'  onclick=\"PlusMinus('pictureflow_scaledown', true, false, 0, 1000);\"/><input class='textbox' type='text' name='pictureflow_scaledown' id='pictureflow_scaledown' value='".$pictureflow_scaledown."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_scaledown_plus' id='pictureflow_scaledown_plus' onclick=\"PlusMinus('pictureflow_scaledown', false, false, 0, 1000);\"/></td>\n";
echo "<td>".$locale['pfg_active_img_scale']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_scaleup_minus' id='pictureflow_scaleup_minus'  onclick=\"PlusMinus('pictureflow_scaleup', true, false, 0, 200);\"/><input class='textbox' type='text' name='pictureflow_scaleup' id='pictureflow_scaleup' value='".$pictureflow_scaleup."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_scaleup_plus' id='pictureflow_scaleup_plus' onclick=\"PlusMinus('pictureflow_scaleup', false, false, 0, 200);\"/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_vert_coord_sbar']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_scrollbar_y_minus' id='pictureflow_scrollbar_y_minus'  onclick=\"PlusMinus('pictureflow_scrollbar_y', true, false, 0, 1000);\"/><input class='textbox' type='text' name='pictureflow_scrollbar_y' id='pictureflow_scrollbar_y' value='".$pictureflow_scrollbar_y."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_scrollbar_y_plus' id='pictureflow_scrollbar_y_plus' onclick=\"PlusMinus('pictureflow_scrollbar_y', false, false, 0, 1000);\"/></td>\n";
echo "<td>".$locale['pfg_ease_time']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_easetime_minus' id='pictureflow_easetime_minus'  onclick=\"PlusMinus('pictureflow_easetime', true, true, 0, 30);\"/><input class='textbox' type='text' name='pictureflow_easetime' id='pictureflow_easetime' value='".$pictureflow_easetime."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_easetime_plus' id='pictureflow_easetime_plus' onclick=\"PlusMinus('pictureflow_easetime', false, true, 0, 30);\"/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_clips2anim']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_clips2move_minus' id='pictureflow_clips2move_minus'  onclick=\"PlusMinus('pictureflow_clips2move', true, false, 1, 100);\"/><input class='textbox' type='text' name='pictureflow_clips2move' id='pictureflow_clips2move' value='".$pictureflow_clips2move."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_clips2move_plus' id='pictureflow_clips2move_plus' onclick=\"PlusMinus('pictureflow_clips2move', false, false, 1, 100);\"/></td>\n";
echo "<td>".$locale['pfg_img_start']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_shownpicture_minus' id='pictureflow_shownpicture_minus'  onclick=\"PlusMinus('pictureflow_shownpicture', true, false, 1, 10000);\"/><input class='textbox' type='text' name='pictureflow_shownpicture' id='pictureflow_shownpicture' value='".$pictureflow_shownpicture."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_shownpicture_plus' id='pictureflow_shownpicture_plus' onclick=\"PlusMinus('pictureflow_shownpicture', false, false, 1, 10000);\"/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_transp_refl']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_superglass' value='1'".($pictureflow_superglass ? " checked='checked'" : "")."/></td>\n";
echo "<td>".$locale['pfg_img_border_asp']."</td>\n";
echo "<td><select class='textbox' name='pictureflow_border'>\n<option value='rounded'".($pictureflow_border=="rounded" ? " selected='selected'" : "").">rounded</option>\n<option value='square'".($pictureflow_border=="square" ? " selected='selected'" : "").">square</option>\n</select></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_show_tooltip']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_tooltip' value='1'".($pictureflow_tooltip ? " checked='checked'" : "")."/></td>\n";
echo "<td>".$locale['pfg_show_desc_text']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_desctext' value='1'".($pictureflow_desctext ? " checked='checked'" : "")."/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_uflow']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_u_flow' value='1'".($pictureflow_u_flow ? " checked='checked'" : "")."/></td>\n";
echo "<td>".$locale['pfg_rollover_nav']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_rolloveranim' value='1'".($pictureflow_rolloveranim ? " checked='checked'" : "")."/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_scene_mask']."</td>\n";
echo "<td><input type='checkbox' name='pictureflow_maskscene' value='1'".($pictureflow_maskscene ? " checked='checked'" : "")."/></td>\n";
echo "<td>".$locale['pfg_sbar_beh']."</td>\n";
echo "<td><select class='textbox' name='pictureflow_scrollbar'>\n<option value='true'".($pictureflow_scrollbar=="true" ? " selected='selected'" : "").">on mouse over</option>\n<option value='permanent'".($pictureflow_scrollbar=="permanent" ? " selected='selected'" : "").">always visible</option>\n<option value='false'".($pictureflow_scrollbar=="false" ? " selected='selected'" : "").">disabled</option>\n</select></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_cross_xml']."</td>\n";
echo "<td><input class='textbox' type='text' name='pictureflow_crossdomain' value='".$pictureflow_crossdomain."' /></td>\n";
echo "<td>".$locale['pfg_swf']."</td>\n";
echo "<td><select class='textbox' name='pictureflow_swf'>\n<option value='pictureflow-H090.swf'".($pictureflow_swf=="pictureflow-H090.swf" ? " selected='selected'" : "").">pictureflow-H090.swf</option>\n<option value='pictureflow-H135.swf'".($pictureflow_swf=="pictureflow-H135.swf" ? " selected='selected'" : "").">pictureflow-H135.swf</option>\n<option value='pictureflow-H180.swf'".($pictureflow_swf=="pictureflow-H180.swf" ? " selected='selected'" : "").">pictureflow-H180.swf</option>\n<option value='pictureflow-H240.swf'".($pictureflow_swf=="pictureflow-H240.swf" ? " selected='selected'" : "").">pictureflow-H240.swf</option>\n<option value='pictureflow-H340.swf'".($pictureflow_swf=="pictureflow-H340.swf" ? " selected='selected'" : "").">pictureflow-H340.swf</option>\n</select></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_swf_width']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_swf_width_minus' id='pictureflow_swf_width_minus' onclick=\"PlusMinus('pictureflow_swf_width', true, false, 1, 100);\"/><input class='textbox' type='text' name='pictureflow_swf_width' id='pictureflow_swf_width' value='".$pictureflow_swf_width."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_swf_width_plus' id='pictureflow_swf_width_plus' onclick=\"PlusMinus('pictureflow_swf_width', false, false, 1, 100);\"/></td>\n";
echo "<td>".$locale['pfg_swf_height']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_swf_height_minus' id='pictureflow_swf_height_minus' onclick=\"PlusMinus('pictureflow_swf_height', true, false, 100, 1024);\"/><input class='textbox' type='text' name='pictureflow_swf_height' id='pictureflow_swf_height' value='".$pictureflow_swf_height."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_swf_height_plus' id='pictureflow_swf_height_plus' onclick=\"PlusMinus('pictureflow_swf_height', false, false, 100, 1024);\"/></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td><div style='float:left'>".$locale['pfg_swf_bckrnd_color']."</div><div style='float:right;width:16px;height:16px;border:1px solid black;background-color:#".$pictureflow_swf_bckgrndcolor."' id='preview_pictureflow_swf_bckgrndcolor'></div></td>\n";
echo "<td>".color_mapper("pictureflow_swf_bckgrndcolor", $pictureflow_swf_bckgrndcolor)."</td>\n";
echo "<td>".$locale['pfg_swf_wmode']."</td>\n";
echo "<td><select class='textbox' name='pictureflow_swf_windowmode'>\n<option value='true'".($pictureflow_swf_windowmode=="window" ? " selected='selected'" : "").">window</option>\n<option value='opaque'".($pictureflow_swf_windowmode=="opaque" ? " selected='selected'" : "").">opaque</option>\n<option value='transparent'".($pictureflow_swf_windowmode=="transparent" ? " selected='selected'" : "").">transparent</option>\n</select></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</div>\n";
echo "</fieldset>\n";

$result = dbquery("SELECT * FROM ".DB_PHOTOS." WHERE album_id=".$_GET['album_id']);
$maxphotos = dbrows($result);

echo "<fieldset>\n";
echo "<legend><strong>".($_GET['album_id']>0 ? sprintf($locale['pfg_palbum_dset'], ALBUM_NAME) : "PictureFlow ".$locale['pfg_global_dsply_set']).":</strong></legend>\n";
echo "<table width='100%' align='center'>\n";
echo "<tr>\n";
echo "<td>".$locale['pfg_photo_sel']."</td>\n";
echo "<td><select class='textbox' name='pictureflow_selection_method' onchange=\"if (this.options[this.selectedIndex].value=='selected_pictures') { document.getElementById('show_photos').style.display='block'; } else { document.getElementById('show_photos').style.display='none'; };\">\n<option value='random'".($pictureflow_selection_method=="random" ? " selected='selected'" : "").">".$locale['pfg_photo_sel_rand']."</option>\n<option value='all_pictures'".($pictureflow_selection_method=="all_pictures" ? " selected='selected'" : "").">".$locale['pfg_photo_sel_all']."</option>\n".($_GET['album_id']>0 ? "<option value='selected_pictures'".($pictureflow_selection_method=="selected_pictures" ? " selected='selected'" : "").">".$locale['pfg_photo_sel_sel']."</option>\n" : "")."</select></td>\n";
echo "<td>".$locale['pfg_photo_sel_count']."</td>\n";
echo "<td><input class='button' type='button' value='-' name='pictureflow_selection_no_minus' id='pictureflow_selection_no_minus'  onclick=\"PlusMinus('pictureflow_selection_no', true, false, 1, ".($maxphotos ? $maxphotos : "10000").");\"/><input class='textbox' type='text' name='pictureflow_selection_no' id='pictureflow_selection_no' value='".$pictureflow_selection_no."' readonly='readonly' style='width:30px' /><input class='button' type='button' value='+' name='pictureflow_selection_no_plus' id='pictureflow_selection_no_plus' onclick=\"PlusMinus('pictureflow_selection_no', false, false, 1, ".($maxphotos ? $maxphotos : "10000").");\"/></td>\n";
echo "</tr>\n";
echo "</table>\n";

if ($_GET['album_id']>0) {
	$sel_photos = explode(".", $pictureflow_selection_pictures);
	
	define("SAFEMODE", @ini_get("safe_mode") ? true : false);
	define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$_GET['album_id']."/" : ""));

	echo "<div id='show_photos' style='display:".($pictureflow_selection_method=="selected_pictures" ? "block" : "none")."'>\n";
	opentable("Album photos");
	$rows = dbcount("(photo_id)", DB_PHOTOS, "album_id='".$_GET['album_id']."'");
	if ($rows) {
	   $result = dbquery("SELECT * FROM ".DB_PHOTOS." WHERE album_id='".$_GET['album_id']."' ORDER BY photo_order");
	   $counter = 0;
	   echo "<div style='height:150px;overflow:auto'>\n";
	   echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	   while ($data = dbarray($result)) {
	      if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n"; }
	      echo "<td align='center' valign='top' class='tbl'>\n";
	      echo "<label><input type='checkbox' name='sel_photo[]' value='".$data['photo_id']."'".(in_array($data['photo_id'], $sel_photos) ? " checked='checked'" : "")." />&nbsp;<strong>".$data['photo_order']." ".$data['photo_title']."</strong></label><br /><br />\n";
	      if ($data['photo_thumb1'] && file_exists(PHOTODIR.$data['photo_thumb1'])){
	         echo "<img src='".PHOTODIR.$data['photo_thumb1']."' alt='' style='border:0px' />";
	      } else {
	         echo "<div class='tbl2' style='width:".$settings['thumb_w']."px;height:".$settings['thumb_h']."px;border:1px solid black;text-align:center;vertical-align:-50%;font-weight:bold'>".$locale['pfg_no_thumb']."</div>\n";
	      }
	      echo "</td>\n";
	      $counter++;
	   }
	   echo "</table>\n";
	   echo "</div>\n";
	} else {
	   echo "<div style='text-align:center'>".$locale['pfg_no_photos']."</div>\n";
	}
	closetable();
	echo "</div>\n";
}

echo "</fieldset>\n";
echo "<div style='text-align:center'>".($_GET['album_id']>0 && $pfs_rows ? "<input class='button' type='submit' name='delete_settings' value='".$locale['pfg_del_set']."' /> :: " : "")."<input class='button' type='submit' name='save_settings' value='".(!$pfs_rows ? $locale['pfg_sav_set'] : $locale['pfg_upd_set'])."' /> :: <input class='button' type='submit' name='preview_settings' value='".$locale['pfg_prv_set']."' /></div>\n";
echo "</form>\n";

echo "<script type='text/javascript'>\n";
echo "
function PlusMinus(inputId, minus, isFloat, minValue, maxValue) {
	var minus = (minus == null) ? false : minus;
	var isFloat = (isFloat == null) ? false : isFloat;
	var minValue = (minValue == null) ? 0 : minValue;
	var maxValue = (maxValue == null) ? 100 : maxValue;

	var fieldValue = parseFloat(document.getElementById(inputId).value);

   if (minus) {
      var inc = -1;
   } else {
      var inc = 1;
   }
	if (isFloat) fieldValue = fieldValue * 10;
	fieldValue = fieldValue + inc;
	if (isFloat) fieldValue = fieldValue / 10;
   if (fieldValue>=minValue && fieldValue<=maxValue) {
      document.getElementById(inputId).value = fieldValue;
   }
}
";
echo "</script>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
